import 'dart:collection';

import 'package:cramr_ui_lib/model/verb.dart';
import 'package:cramr_ui_lib/repo/verb_repository.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group('Repository Tests', () {
    //initialise the repository
    //TODO: introduce mocking
    var verbs = new HashMap<String, Verb>();
    var verb1 = Verb('inf1', 'tran1', ['1ind0', '1ind1', '1ind2', '1ind3', '1ind4', '1ind5'], 'la');
    var verb2 = Verb('inf2', 'tran2', ['2ind0', '2ind1', '2ind2', '2ind3', '2ind4', '2ind5'], 'la');
    verbs[verb1.infinitive] = verb1;
    verbs[verb2.infinitive] = verb2;
    var pronouns = ['nul', 'een', 'twee', 'drie', 'vier', 'vijf'];
    VerbRepository.instance().initialise(verbs, pronouns);

    test('test for a specific key', () async {
      expect(verb1.infinitive, VerbRepository.instance().verbs[verb1.infinitive]!.infinitive);
    }
    );
  }
  );
}